package features

import (
	"be.ems/features/cm"
	"be.ems/features/lm"
	"be.ems/features/nbi"
	"be.ems/features/pm"
	"be.ems/lib/log"
	"github.com/gin-gonic/gin"
)

func InitServiceEngine(r *gin.Engine) {
	log.Info("======init feature group gin.Engine")

	// featuresGroup := r.Group("/")
	// register features routers
	pm.InitSubServiceRoute(r)
	lm.InitSubServiceRoute(r)
	cm.InitSubServiceRoute(r)
	nbi.InitSubServiceRoute(r)
	// return featuresGroup
}
